GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# signature

Add a digital signature to the image

# FinalizeSignature

## Synopsis

    FinalizeSignature( SignatureInfo *signature_info );

## Description

Method FinalizeSignature finalizes the SHA message digest computation.

The format of the FinalizeSignature method is:

    FinalizeSignature( SignatureInfo *signature_info );

A description of each parameter follows:

signature_info:

  The address of a structure of type SignatureInfo.

# GetSignatureInfo

## Synopsis

    GetSignatureInfo( SignatureInfo *signature_info );

## Description

Method GetSignatureInfo initializes the SHA message digest structure.

The format of the GetSignatureInfo method is:

    GetSignatureInfo( SignatureInfo *signature_info );

A description of each parameter follows:

signature_info:

  The address of a structure of type SignatureInfo.

# SignatureImage

## Synopsis

    unsigned int SignatureImage( Image *image );

## Description

SignatureImage() computes a message digest from an image pixel stream with an implementation of the NIST SHA-256 Message Digest algorithm. This signature uniquely identifies the image and is convenient for determining if an image has been modified or whether two images are identical.

The format of the SignatureImage method is:

    unsigned int SignatureImage( Image *image );

A description of each parameter follows:

image:

  The image.

# TransformSignature

## Synopsis

    TransformSignature( SignatureInfo *signature_info );

## Description

TransformSignature() transforms the SHA message digest.

The format of the TransformSignature method is:

    TransformSignature( SignatureInfo *signature_info );

A description of each parameter follows:

signature_info:

  The address of a structure of type SignatureInfo.

# UpdateSignature

## Synopsis

    UpdateSignature( SignatureInfo *signature_info, const unsigned char *message,
                     const size_t length );

## Description

UpdateSignature() updates the SHA message digest.

The format of the UpdateSignature method is:

    UpdateSignature( SignatureInfo *signature_info, const unsigned char *message,
                     const size_t length );

signature_info:

  The address of a structure of type SignatureInfo.

message:

  the message

length:

  The length of the message.

Copyright © GraphicsMagick Group 2002-2026